(function ($) {

Drupal.behaviors.imageeditor_inline = {};
Drupal.behaviors.imageeditor_inline.attach = function(context, settings) {
  $('img', context).not('.imageeditor-inline-processed').each(function(index, Element) {
    $(this).addClass('imageeditor-inline-processed');
    var origurl = $(this).attr('src');
    //regexp to detect and remove 'styles/style_name/scheme/'
    //Styles are using $scheme . '://styles/' . $style_name . '/' . $scheme . '/' . $path
    var fullurl = origurl.replace(new RegExp('styles/[0-9a-zA-z_]+/[0-9a-zA-z_]+/','g'), '');
    //console.log(this.width+'x'+this.height);
    //console.log(this.clientWidth+'x'+this.clientHeight);
    //console.log(this.naturalWidth+'x'+this.naturalHeight);
    
    //if ((this.naturalWidth == 0 || this.naturalWidth >= 200) && (this.naturalHeight == 0 || this.naturalHeight >= 200)) {
    //if (this.naturalWidth >= 20 || this.naturalHeight >= 20) {
      options = {editors: Drupal.settings.imageeditor_inline.editors, uploaders: Drupal.settings.imageeditor_inline.uploaders, image: {url: fullurl}, data: {fullurl: fullurl, origurl: origurl}, $element: $(this), callback: Drupal.imageeditor_inline.save};
      Drupal.imageeditor.initialize(options);
    //}
  });
};

Drupal.imageeditor_inline = {
  save: function() {
    $.ajax({
      type: 'POST',
      url: Drupal.settings.imageeditor_inline.save_url,
      async: true, // explicitly need the user to wait while we load...
      data: {'image': Drupal.settings.imageeditor.save.image, 'fullurl': Drupal.settings.imageeditor.save.fullurl, 'origurl': Drupal.settings.imageeditor.save.origurl},
      success: function(data) {alert(data);},
      error: function(msg) {alert("Failed uploading: " + msg);}
    });
  }
};

})(jQuery);
